changing IO Scheduler

informant

Active Member
Jan 31, 2012
728
8
38
hi sumsum,

shure, the config of /etc/fstab on host/cluster/node is:

Code:
# <file system> <mount point> <type> <options> <dump> <pass>
/dev/pve/root / ext3 errors=remount-ro 0 1
/dev/pve/data /var/lib/vz ext3 defaults 0 1
UUID=5a942cfb-0e70-4ee0-b23a-7bf7a07b0d20 /boot ext3 defaults 0 1
/dev/pve/swap none swap sw 0 0
proc /proc proc defaults 0 0

it´s the default config after install with install cd/iso of proxmox.

regards
 
Last edited:

informant

Active Member
Jan 31, 2012
728
8
38
@sumsum, do you have any ideas or a other user?

at the moment we haven´t found a solution for this problem. :(

regards
 

informant

Active Member
Jan 31, 2012
728
8
38
right, many people have this problem. but no solution :( is not so good. we hope, that proxmox find a solution. proxmox can test on our servers, but the answer of owner martin is, you must pay a ticket. ok we buy a ticket, proxmox find a solution, and all oter users have a free fix. on a problem with so many users, proxmox must help free. its bug-support. or what you mean?

regards
 

tom

Proxmox Staff Member
Staff member
Aug 29, 2006
15,522
908
163
right, many people have this problem. but no solution :( is not so good. we hope, that proxmox find a solution. proxmox can test on our servers, but the answer of owner martin is, you must pay a ticket. ok we buy a ticket, proxmox find a solution, and all oter users have a free fix. on a problem with so many users, proxmox must help free. its bug-support. or what you mean?

regards

Proxmox VE is open source and free to use. If you want support and help from our team, you need to pay.

If you do not pay, we do not support you directly. Its very simple and explained in our wiki:
http://pve.proxmox.com/wiki/Get_support
 

informant

Active Member
Jan 31, 2012
728
8
38
hi tom,

sorry for the entrys, we have get a info, that´s a bug of the last openvz kernel. we must wait for a fix of openvz kernel to solve this problem, sorry for "spam" and regards.
 

tom

Proxmox Staff Member
Staff member
Aug 29, 2006
15,522
908
163
hi tom,

sorry for the entrys, we have get a info, that´s a bug of the last openvz kernel.

that is just a guess so far - lets wait till someone tested with latest adaptec firmware/drivers.
 

gkovacs

Well-Known Member
Dec 22, 2008
509
48
48
Budapest, Hungary
there is still no test-case to reproduce this issue.

While there is no reproducible test-case, we do have a single specific VE that - when backed up via vzdump - reliably reproduces the issue on any of our cluster nodes.
At the moment we run this VE under Hyper-V to prevent it from bringing down our nodes every night (under Hyper-V the problem does not appear).

You are welcome to log in and check it out if you choose, feel free to PM/email me.
 

tom

Proxmox Staff Member
Staff member
Aug 29, 2006
15,522
908
163
did you test updated adaptec driver and firmware already?
 

gkovacs

Well-Known Member
Dec 22, 2008
509
48
48
Budapest, Hungary
did you test updated adaptec driver and firmware already?

We already have the latest supported driver for our controller in the kernel:
Code:
modinfo aacraid
filename:       /lib/modules/2.6.32-19-pve/kernel/drivers/scsi/aacraid/aacraid.ko
version:        1.2-1[29900]custom

As for firmware, one of our controllers run 18512, the other 19076 (latest is 19109).
Both nodes exhibited the issue several times.
 

tom

Proxmox Staff Member
Staff member
Aug 29, 2006
15,522
908
163
google tells that using aacraid 1.2.1-30200 solved similar issues on other rhel based distros -try it.
 

informant

Active Member
Jan 31, 2012
728
8
38
hi tom,

thanks for this nice information. we do update one of our servers today and test this driver.
can you this driver impelment in next test version of proxmox, well in last it´s the old version implemented (1.2.1-29900).?

regards
 
Last edited:

informant

Active Member
Jan 31, 2012
728
8
38
hi all,

we have debian wheezy and we download debian 7 driver from https://www.adaptec.com/adapteccom/templates/license-agree.aspx
we get the error message:
Code:
dkms add -m aacraid -v 1.2.1.30200

Creating symlink /var/lib/dkms/aacraid/1.2.1.30200/source ->
                 /usr/src/aacraid-1.2.1.30200

DKMS: add completed.
root@titan:~# dkms build -m aacraid -v 1.2.1.30200
Error! echo
Your kernel headers for kernel 2.6.32-20-pve cannot be found at
/lib/modules/2.6.32-20-pve/build or /lib/modules/2.6.32-20-pve/source.
root@titan:~# dkms install -m aacraid -v 1.2.1.30200
Error! echo
Your kernel headers for kernel 2.6.32-20-pve cannot be found at
/lib/modules/2.6.32-20-pve/build or /lib/modules/2.6.32-20-pve/source.
root@titan:~# dkms status
aacraid, 1.2.1.30200: added

what can we do here? please help. very thanks.

regards

google tells that using aacraid 1.2.1-30200 solved similar issues on other rhel based distros -try it.
 
Last edited:

informant

Active Member
Jan 31, 2012
728
8
38
hi,

Code:
apt-get install linux-headers-$(uname -r)
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.
Statusinformationen werden eingelesen.... Fertig
E: Paket linux-headers-2.6.32-20-pve kann nicht gefunden werden.
E: Mittels regulärem Ausdruck »linux-headers-2.6.32-20-pve« konnte kein Paket gefunden werden.

i think, it´s only a listing problem, well proxmox have a own kernel.

regards
 

informant

Active Member
Jan 31, 2012
728
8
38
hi,

command works, but after restart the aacraid 1.2.1-30200 driver was cleaned and the old version of proxmox was back.

Sorry, try:

apt-get install pve-headers-$(uname -r)
 
Last edited:

About

The Proxmox community has been around for many years and offers help and support for Proxmox VE, Proxmox Backup Server, and Proxmox Mail Gateway.
We think our community is one of the best thanks to people like you!

Get your subscription!

The Proxmox team works very hard to make sure you are running the best software and getting stable updates and security enhancements, as well as quick enterprise support. Tens of thousands of happy customers have a Proxmox subscription. Get your own in 60 seconds.

Buy now!